module mod
    implicit none
    
    ! This works and is recognized as a base class for other types within mod
    type, abstract :: base_type
        integer :: x
    end type
    
    ! This inheritance relationship is correctly shown
    type, extends(base_type) :: child_type
        real :: y
    end type
    
    ! This is identified as anotherbase and is not recognized in inheritance
    ! relationships anywhere
    type, abstract :: AnotherBase
        character(20) :: text
    end type
    
    ! This does not work, the base class is shown as unknown
    type, extends(AnotherBase) :: Child1
        integer :: v
    end type
    
    ! This does not work either, even though "anotherbase" (no caps) is the
    ! name that Doxygen saves and displays
    type, extends(anotherbase) :: Child2
        integer :: v
    end type
    
end module
